Name:		shared-mime-info
Version:	1.8
Release:	%mkrel 1
Summary:	Shared MIME-Info Specification
Group:		Graphical desktop/Other
#gw main is GPL, test program is LGPL
License:	GPL+ and LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/shared-mime-info
Source0:	http://freedesktop.org/~hadess/%{name}-%{version}.tar.xz
####
#### Fedora:
####
Source1:	gnome-mimeapps.list
# Generated with:
# for i in `cat /home/hadess/Projects/jhbuild/totem/data/mime-type-list.txt | grep -v audio/flac | grep -v ^#` ; do if grep MimeType /home/hadess/Projects/jhbuild/rhythmbox/data/rhythmbox.desktop.in.in | grep -q "$i;" ; then echo "$i=rhythmbox.desktop;org.gnome.Totem.desktop;" >> totem-defaults.list ; else echo "$i=org.gnome.Totem.desktop;" >> totem-defaults.list ; fi ; done ; for i in `cat /home/hadess/Projects/jhbuild/totem/data/uri-schemes-list.txt | grep -v ^#` ; do echo "x-scheme-handler/$i=org.gnome.Totem.desktop;" >> totem-defaults.list ; done
Source2: totem-defaults.list
# Generated with:
# for i in `grep MimeType= /usr/share/applications/org.gnome.FileRoller.desktop | sed 's/MimeType=//' | sed 's/;/ /g'` application/x-source-rpm ; do if ! `grep -q $i defaults.list` ; then echo $i=org.gnome.FileRoller.desktop\; >> file-roller-defaults.list ; fi ; done
Source3: file-roller-defaults.list
# Generated with:
# for i in `grep MimeType= /usr/share/applications/eog.desktop | sed 's/MimeType=//' | sed 's/;/ /g'` ; do echo $i=eog.desktop\; >> eog-defaults.list ; done
Source4: eog-defaults.list

# Work-around for https://bugs.freedesktop.org/show_bug.cgi?id=40354
Patch0: 0001-Remove-sub-classing-from-OO.o-mime-types.patch

####
#### Mageia:
####

# KDE 4 overrides.
Source20:	mimeapps.list

# Xfce overrides.
Source21:	xfce-mimeapps.list

Patch100:	shared-mime-info-xz.patch
BuildRequires:	libxml2-devel
BuildRequires:  libxml2-utils
BuildRequires:	glib2-devel
BuildRequires:	intltool
Provides:	gnome-mime-data
Obsoletes:	gnome-mime-data <= 2.18.1

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems currently
in use by GNOME, KDE and ROX. Only the name-to-type and contents-to-type
mappings are covered by this spec; other MIME type information, such as
the default handler for a particular type, or the icon to use to display
it in a file manager, are not covered since these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-update-mimedb
#gw parallel make fails in 0.90
make
sed -i 's!application/x-rpm=.*!application/x-rpm=mageia-gurpmi.desktop!' %{SOURCE1}


%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{SOURCE20} %{buildroot}%{_datadir}/applications
cat %SOURCE2 >> $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE3 >> $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE4 >> $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list

## Xfce starts
install -Dpm644 %{_sourcedir}/xfce-mimeapps.list \
	%{buildroot}%{_datadir}/applications/xfce-mimeapps.list

sed -e 's,org.gnome.Totem,parole,g' -e 's,rhythmbox.desktop;,,g' \
	%{_sourcedir}/totem-defaults.list >> %{buildroot}%{_datadir}/applications/xfce-mimeapps.list

sed -e 's,org.gnome.FileRoller,engrampa,g' \
	%{_sourcedir}/file-roller-defaults.list >> %{buildroot}%{_datadir}/applications/xfce-mimeapps.list

sed -e 's,eog,ristretto,g' \
	%{_sourcedir}/eog-defaults.list >> %{buildroot}%{_datadir}/applications/xfce-mimeapps.list
## Xfce ends

mkdir -p %{buildroot}%{_datadir}/mime/{application,image,message,multipart,text,audio,inode,model,packages,video}
touch %{buildroot}%{_datadir}/mime/{XMLnamespaces,aliases,globs,magic,subclasses,mime.cache}

## remove these bogus files
%{__rm} -rf %{buildroot}%{_datadir}/locale/*


%check
make check

%post
%update_mime_database

#FIXME: Can this trigger be removed ?
%triggerun -- shared-mime-info < 0.20-3mdv
%update_mime_database

# automatic mime database update on rpm installs/removals
%transfiletriggerin --  /usr/share/mime/packages/
/usr/bin/update-mime-database /usr/share/mime > /dev/null

%files
%doc README shared-mime-info-spec.xml NEWS
%_bindir/update-mime-database
%dir %{_datadir}/mime/
%{_datadir}/applications/gnome-mimeapps.list
%{_datadir}/applications/xfce-mimeapps.list
%{_datadir}/applications/mimeapps.list
%dir %{_datadir}/mime/application  
%dir %{_datadir}/mime/image  
%dir %{_datadir}/mime/message  
%dir %{_datadir}/mime/multipart  
%dir %{_datadir}/mime/text
%dir %{_datadir}/mime/audio        
%dir %{_datadir}/mime/inode  
%dir %{_datadir}/mime/model    
%dir %{_datadir}/mime/packages   
%dir %{_datadir}/mime/video
%ghost %{_datadir}/mime/XMLnamespaces
%ghost %{_datadir}/mime/aliases
%ghost %{_datadir}/mime/globs
%ghost %{_datadir}/mime/magic
%ghost %{_datadir}/mime/subclasses
%ghost %{_datadir}/mime/mime.cache
%{_datadir}/mime/packages/freedesktop.org.xml
%_mandir/man1/update-mime-database.1*
%_datadir/pkgconfig/shared-mime-info.pc


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.8-1.mga6
+ Revision: 1078992
- 1.8

* Wed Sep 21 2016 ovitters <ovitters> 1.7-3.mga6
+ Revision: 1055033
- set hexchat as default IRC handler (exception for GNOME in place; Plasma pending) (mga#19346)

* Wed Sep 21 2016 ovitters <ovitters> 1.7-2.mga6
+ Revision: 1055000
- GNOME: Default to Polari for IRC
- GNOME: fix some Totem defaults

* Fri Sep 09 2016 luigiwalser <luigiwalser> 1.7-1.mga6
+ Revision: 1051185
- 1.7
- update patch 0 from fedora

* Wed Aug 03 2016 tv <tv> 1.6-3.mga6
+ Revision: 1044323
- emergency provides gnome-mime-data

* Tue Aug 02 2016 ovitters <ovitters> 1.6-2.mga6
+ Revision: 1044303
- obsolete gnome-mime-data

* Mon May 09 2016 luigiwalser <luigiwalser> 1.6-1.mga6
+ Revision: 1011564
- 1.6
- rediff xz patch

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Nov 17 2015 blino <blino> 1.5-1.mga6
+ Revision: 903909
- 1.5
- drop backported patch for .iso files (included upstream)

* Sun Sep 06 2015 tv <tv> 1.4-7.mga6
+ Revision: 873172
- switch to new upstream file trigger syntax

* Sat Jun 20 2015 wally <wally> 1.4-6.mga6
+ Revision: 836651
- update xfce-mimeapps.list

* Sun Mar 22 2015 doktor5000 <doktor5000> 1.4-5.mga5
+ Revision: 819084
- revert latest broken upstream fix and reuse previous patch (mga#13989)

* Thu Feb 19 2015 doktor5000 <doktor5000> 1.4-4.mga5
+ Revision: 815845
- replace workaround for (fd.o#80877) (mga#13989) by upstream fix

* Wed Feb 18 2015 wally <wally> 1.4-3.mga5
+ Revision: 815552
- create own xfce-mimeapps.list for Xfce

* Tue Feb 17 2015 doktor5000 <doktor5000> 1.4-2.mga5
+ Revision: 815402
- add fix for .iso image recognition (fd.o#80877) (mga#13989)

* Fri Feb 13 2015 luigiwalser <luigiwalser> 1.4-1.mga5
+ Revision: 814849
- 1.4
- remove upstreamed patches
- rediff remaining patches

* Mon Jan 05 2015 ovitters <ovitters> 1.3-6.mga5
+ Revision: 808514
- kill defaults.list and introduce gnome-mimeapps.list per dev ml discussion

* Tue Nov 25 2014 tv <tv> 1.3-5.mga5
+ Revision: 799238
- sync with FC (mga#14655)
- set gurpmi with sed

* Wed Oct 15 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 746096
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-3.mga5
+ Revision: 689133
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 ovitters <ovitters> 1.3-2.mga5
+ Revision: 675128
- sync renamed GNOME desktop files

* Sat Apr 26 2014 luigiwalser <luigiwalser> 1.3-1.mga5
+ Revision: 618319
- 1.3

* Sun Dec 08 2013 colin <colin> 1.2-3.mga4
+ Revision: 555987
- Replace old nautilus .desktop names with current ones (or remove) mga#9110

* Mon Oct 21 2013 umeabot <umeabot> 1.2-2.mga4
+ Revision: 539196
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 luigiwalser <luigiwalser> 1.2-1.mga4
+ Revision: 491567
- 1.2

* Sun May 26 2013 ovitters <ovitters> 1.1-1.mga4
+ Revision: 428105
- rediff patch
- new version 1.1

* Mon Jan 14 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 381961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 17 2012 fwang <fwang> 1.0-2.mga3
+ Revision: 261139
- fix bug#5665: msooxml files should be opened with libreoffice

* Sun Jan 22 2012 fwang <fwang> 1.0-1.mga2
+ Revision: 199756
- new version 1.0

* Wed Jan 11 2012 ovitters <ovitters> 0.91-2.mga2
+ Revision: 195021
- add patch from git to fix ppm detection (for gnome-boxes)

* Mon Sep 19 2011 fwang <fwang> 0.91-1.mga2
+ Revision: 145336
- rediff xz patch
- new version 0.91

* Tue Apr 26 2011 ahmad <ahmad> 0.90-5.mga1
+ Revision: 91844
- mimeapps.list: add application/x-rpm=mageia-gurpmi.desktop, so that it works
  for dolphin (and for Gvfs/GIO based apps)

* Tue Apr 26 2011 ahmad <ahmad> 0.90-4.mga1
+ Revision: 91244
- defaults.list: change the default application for application/x-rpm to
  mageia-gurpmi.desktop instead of the non-existent mandriva-gurpmi.desktop (mga#992)

* Thu Mar 24 2011 boklm <boklm> 0.90-3.mga1
+ Revision: 76208
- rebuild for bug #497

* Mon Mar 21 2011 ahmad <ahmad> 0.90-2.mga1
+ Revision: 75298
- disable parallel make, it fails with > -j2
- add x-scheme-handler/http* to defaults.list, so that gvfs-open can work with
  https links, should fix (mga#400)
- re-enable parallel make, seems to work now

* Sat Jan 15 2011 dmorgan <dmorgan> 0.90-1.mga1
+ Revision: 18268
- Add comment
- imported package shared-mime-info

